package com.work.provide_tool.apppri.dataro

import android.text.TextUtils
import androidx.room.TypeConverter
import com.google.gson.Gson
import com.google.gson.reflect.TypeToken

class TypeConverterData {
    var g = Gson()

    @TypeConverter
    fun list2String(lt:List<String>?):String?{
        return if(lt == null)"" else g.toJson(lt)
    }

    @TypeConverter
    fun string2list(str:String?):List<String>?{
        return if(TextUtils.isEmpty(str)) null else g.fromJson(str,object : TypeToken<List<String>>(){}.type)
    }

//    @TypeConverter
//    fun list2String(lt:List<PlayerDataEntity>?):String?{
//        return if(lt == null)"" else g.toJson(lt)
//    }
//
//    @TypeConverter
//    fun string2list(str:String?):List<PlayerDataEntity>?{
//        return if(TextUtils.isEmpty(str)) null else g.fromJson(str,object : TypeToken<List<PlayerDataEntity>>(){}.type)
//    }

    @TypeConverter
    fun intArray2String(intarr:IntArray?):String?{
        return if(intarr == null)"" else g.toJson(intarr)
    }

    @TypeConverter
    fun string2IntArray(str:String?):IntArray?{
        return if(TextUtils.isEmpty(str)) null else g.fromJson(str,object : TypeToken<IntArray>(){}.type)
    }
}