package com.work.provide_tool.apppri.dataro.entity

import android.os.Parcel
import android.os.Parcelable
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "friend")
data class FriendEntity (var id:Int,var na:String):Parcelable{
    @PrimaryKey var fId :Long? = null

    constructor(parcel: Parcel) : this(
        parcel.readInt(),
        parcel.readString()!!
    ) {
        fId = parcel.readValue(Long::class.java.classLoader) as? Long
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeInt(id)
        parcel.writeString(na)
        parcel.writeValue(fId)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<FriendEntity> {
        override fun createFromParcel(parcel: Parcel): FriendEntity {
            return FriendEntity(parcel)
        }

        override fun newArray(size: Int): Array<FriendEntity?> {
            return arrayOfNulls(size)
        }
    }
}