package com.work.provide_tool.apppri.dataro.entity

import android.os.Parcel
import android.os.Parcelable
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "interflow")
data class InterflowEntity(var id:Int,var what:String):Parcelable{
    @PrimaryKey var interId:Long? = null

    constructor(parcel: Parcel) : this(
        parcel.readInt(),
        parcel.readString()!!
    ) {
        interId = parcel.readValue(Long::class.java.classLoader) as? Long
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeInt(id)
        parcel.writeString(what)
        parcel.writeValue(interId)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<InterflowEntity> {
        override fun createFromParcel(parcel: Parcel): InterflowEntity {
            return InterflowEntity(parcel)
        }

        override fun newArray(size: Int): Array<InterflowEntity?> {
            return arrayOfNulls(size)
        }
    }
}